# RPM specfile for gnome-pilot-conduits module
# Generated Thu Nov  7 22:14:42 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.9 2002/10/01 20:14:07 frb Exp $

%define nam	gnome-pilot-conduits
%define ver	0.10
%define ximrev	1

Name:     	gnome-pilot-conduits
Version: 	0.10
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gnome.org/
Source0:	gnome-pilot-conduits-0.10.tar.gz
BuildRequires:	gnome-pilot-devel
BuildRequires:	libxml-devel
Summary:	Extra gnome-pilot conduits
Group:		Applications/Communications
Provides:	ximian-gnome-pilot-conduits = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This is a collection of additional conduits for gnome-pilot, it
currently features a MAL conduit for AvantGo syncing

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/pixmaps/*
/usr/share/gnome-pilot/conduits/*
/usr/lib/gnome-pilot/conduits/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-conduits-0.10
    ;;
all)
%setup  -q -n gnome-pilot-conduits-0.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Oct 4 2002 Ximian, Inc.

- Version: 0.10-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jun 7 2002 Ximian, Inc.

- Version: 0.9-1.ximian.1
- Summary: New build.
- New automated build.

* Thu May 16 2002 Ximian, Inc.

- Version: 0.8-1.ximian.1
- Summary: New build.
- New automated build.

